#include "TimerOne.h"
unsigned int counter=0;

void docount()  
{
  counter++;                               // Увеличение счетчика на 1
} 

void timerIsr()
{
  Timer1.detachInterrupt();                // Выключение таймера
  Serial.print("Motor Speed: ");           // Отправка данных в последовательный порт
  int rotation = (counter / 20);           // Делем, на 20 отверстий
  Serial.print(rotation,DEC);              // Отправка данных в последовательный порт
  Serial.println(" Rotation per seconds"); // Отправка данных в последовательный порт
  counter = 0;                             // Обнляем переменную    
  Timer1.attachInterrupt( timerIsr );      // Включение таймера
}

void setup() 
{
  Serial.begin(9600);                      // Открытие последовательного порта на скорости 9600
  Timer1.initialize(1000000);              // Установка таймера на 1 секунду
  attachInterrupt(0, docount, RISING);     // Увеличим счетчик, когда переходит состояние с HIGH в LOW          
  Timer1.attachInterrupt( timerIsr );      // Включение таймера
} 

void loop()
{
  
}
